IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
    • List memo versionsGET
    • Get a memo versionGET
  • Notes
  • Decisions and outcomes
  • Contacts and reports
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Memos

Memos

Memo endpoints read the investment memos of a deal. Each change to a memo makes a new version.

List memo versions

Memo versions for a deal, newest first.

GEThttps://www.ideapulley.com/api/v2/deals/{id}/memosdeals:read

Path parameters

NameType
idRequired

The ID.

integer

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/deals/42/memos \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/memos", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/deals/42/memos",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Get a memo version

One memo version with its claims and sources.

GEThttps://www.ideapulley.com/api/v2/memos/{id}deals:read

Path parameters

NameType
idRequired

The ID.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/memos/42 \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/memos/42", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/memos/42",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": { … }
}
IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
    • List memo versionsGET
    • Get a memo versionGET
  • Notes
  • Decisions and outcomes
  • Contacts and reports
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Memos

Memos

Memo endpoints read the investment memos of a deal. Each change to a memo makes a new version.

List memo versions

Memo versions for a deal, newest first.

GEThttps://www.ideapulley.com/api/v2/deals/{id}/memosdeals:read

Path parameters

NameType
idRequired

The ID.

integer

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/deals/42/memos \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/memos", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/deals/42/memos",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Get a memo version

One memo version with its claims and sources.

GEThttps://www.ideapulley.com/api/v2/memos/{id}deals:read

Path parameters

NameType
idRequired

The ID.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/memos/42 \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/memos/42", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/memos/42",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": { … }
}